列出记录的 URL
响应
添加记录的 URL
title,Topify 会在后台获取标题。
请求体
响应
移除记录的 URL
affected_count 和 total_recorded 字段。Documentation Index
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
管理用于提示词发现和推荐的项目 URL。
GET /projects/{project_id}/recording
curl "https://topify-customer-api-production.up.railway.app/api/public/v1/projects/{project_id}/recording" \
-H "X-API-Key: tk_live_..."
{
"code": 200,
"message": "200 OK",
"data": {
"project_id": "a1b2c3d4-...",
"total": 1,
"urls": [
{
"id": "e5f6a7b8-...",
"url": "https://acme.com/pricing",
"normalized_url": "https://acme.com/pricing",
"title": "Pricing | Acme",
"icon_urls": ["https://www.google.com/s2/favicons?domain=acme.com&sz=128"],
"created_at": "2026-07-13T12:00:00+00:00"
}
]
}
}
POST /projects/{project_id}/recording
title,Topify 会在后台获取标题。
| 字段 | 类型 | 必填 | 说明 |
|---|---|---|---|
urls | object[] | 是 | 1-50 个 URL 对象 |
urls[].url | string | 是 | 页面 URL |
urls[].title | string | 否 | 页面标题;省略时异步获取 |
curl -X POST "https://topify-customer-api-production.up.railway.app/api/public/v1/projects/{project_id}/recording" \
-H "X-API-Key: tk_live_..." \
-H "Content-Type: application/json" \
-d '{"urls":[{"url":"https://acme.com/pricing","title":"Pricing | Acme"}]}'
{
"code": 200,
"message": "200 OK",
"data": {
"project_id": "a1b2c3d4-...",
"affected_count": 1,
"total_recorded": 4
}
}
DELETE /projects/{project_id}/recording
curl -X DELETE "https://topify-customer-api-production.up.railway.app/api/public/v1/projects/{project_id}/recording" \
-H "X-API-Key: tk_live_..." \
-H "Content-Type: application/json" \
-d '{"urls":["https://acme.com/pricing"]}'
affected_count 和 total_recorded 字段。